from typing import List


def remove_subpaths(paths: List[str]) -> List[str]:
    """
    Remove subpaths from a list of paths

    e.g. ["a/b/c", "a/b"] -> ["a/b"]
    """
    paths = sorted(paths, key=len)
    result: List[str] = []
    for path in paths:
        if not any(path.startswith(p) for p in result):
            result.append(path)
    return result
